﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background-color: #ffffff66;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    position: absolute;
    box-sizing: border-box;
    display: none;
}

#ms-Dialog {
    box-shadow: 0 25.6px 57.6px 0 rgba(0, 0, 0, 0.22), 0 4.8px 14.4px 0 rgba(0, 0, 0, 0.18);
    border-radius: 2px;
    background-color: #ffffff;
    box-sizing: border-box;
    position: absolute;
    text-align: left;
    outline: 3px solid transparent;
    max-height: 100%;
    overflow-y: auto;
    border-top: 4px solid #0078d4;
    max-width: 400px;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

    #ms-Dialog #ms-Dialog-header {
        position: relative;
        width: 100%;
        box-sizing: border-box;
    }

        #ms-Dialog #ms-Dialog-header #ms-Dialog-title {
            color: #0078d4;
            margin: 0;
            padding: 16px 46px 20px 24px;
            line-height: normal;
            font-size: 21px;
            font-weight: 600;
        }

    #ms-Dialog #ms-Dialog-inner {
        padding: 0 24px 24px;
    }

        #ms-Dialog #ms-Dialog-inner #ms-Dialog-innerContent {
            position: relative;
            width: 100%;
        }

            #ms-Dialog #ms-Dialog-inner #ms-Dialog-innerContent #ms-Dialog-subText {
                margin: 0 0 24px 0;
                color: #323130;
                line-height: 1.5;
                word-break: break-word;
                font-size: 14px;
                font-weight: 400;
            }

        #ms-Dialog #ms-Dialog-inner #ms-Dialog-actions {
            position: relative;
            width: 100%;
            min-height: 24px;
            line-height: 24px;
            margin: 16px 0 0;
        }

            #ms-Dialog #ms-Dialog-inner #ms-Dialog-actions #ms-Dialog-actionsRight {
                display: flex;
                flex-direction: row;
                justify-content: flex-end;
                margin-right: -4px;
            }

                #ms-Dialog #ms-Dialog-inner #ms-Dialog-actions #ms-Dialog-actionsRight .dismiss {
                    outline: transparent;
                    position: relative;
                    font-size: 14px;
                    font-weight: 400;
                    box-sizing: border-box;
                    user-select: none;
                    display: inline-block;
                    text-decoration: none;
                    text-align: center;
                    cursor: pointer;
                    padding: 0 16px;
                    min-width: 80px;
                    height: 32px;
                    line-height: 32px;
                    border-radius: 2px;
                    color: #ffffff;
                    background-color: #0078d4;
                }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/*********** スタイル定義 *****************************************************/

.btn-like-label {
    display: inline-block;
    font-size: 1em;
    color: var(--semanticTextColors-ButtonText);
    background-color: var(--palette-White);
    border: 1px solid var(--palette-NeutralSecondaryAlt);
    cursor: pointer;
    border-radius: 3px;
    transition: 0.3s;
    font-weight: bold;
    height: 32px;
    padding: 0.6em;
    text-align: center;
}

.btn-like-label:hover {
    background-color: var(--semanticColors-ButtonBackgroundHovered);
}

.nav-item {
    width: 250px;
}


#app .ms-TextField.is-disabled .ms-TextField-field {
    cursor: default;
}

.btn-like-label:hover {
background-color: var(--semanticColors-ButtonBackgroundHovered);
}

#app .ms-DetailsColumn, .ms-DetailsRow-cell {
    border-left: 1px solid rgb(200,200,200);
    align-items: center;
    outline: transparent;
    position: relative;
    box-sizing: border-box;
    min-height: 42px;
    vertical-align: top;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-top: 11px;
    padding-bottom: 11px;
    padding-left: 12px;
    line-height: 32px;
}
#app .ms-DetailsHeader {
    background-color: aliceblue !important;
    padding-top: 0px;
}

#app div.ms-DetailsRow-fields div:last-child {
    justify-content: center;
    padding-left: 3px !important;
}

#app .ms-Dialog--lgHeader .ms-Dialog-title {
    white-space: pre-wrap;
}

#app .ms-Dialog-title {
    padding: 16px 24px 20px 24px;
}

#app .ms-Dialog--lgHeader .ms-Dialog-title {
     white-space: pre-wrap;
 }

#app .ms-Dialog-subText {
    white-space: pre-wrap;
}